const posts = [
  {
    path: '/blog/base-web-v11',
    author: 'Chase Starr',
    authorLink: 'https://github.com/chasestarr',
    title: "What's changed in Base Web 11?",
    tagline: "Let's take a look at all the changes Base Web 11 brings",
    date: '28 March 2022',
    coverImage:
      'https://user-images.githubusercontent.com/5317799/160484160-c3de4f21-c4bd-4978-b39a-7c5c677b449f.png',
    coverImageWidth: 960,
    coverImageHeight: 575,
    keyWords: ['Base Web', 'Design System', 'React', 'Changelog'],
  },
  {
    path: '/blog/introducing-base-map-markers',
    author: 'Dylan Babbs',
    authorLink: 'https://twitter.com/dbabbs',
    title: 'Introducing the Map Marker Component',
    tagline: 'Bringing geospatial components to Base Web',
    date: '13 October 2021',
    coverImage: 'https://i.imgur.com/K5jPixm.png',
    coverImageWidth: 542,
    coverImageHeight: 440,
    keyWords: ['React', 'Map', 'Mapbox GL', 'react-map-gl', 'Map marker'],
  },
  {
    path: '/blog/nested-overrides-playground',
    author: 'Vojtech Miksu',
    authorLink: 'https://twitter.com/vmiksu',
    title: 'Nested Overrides Playground',
    tagline: 'Complex components are easier to customize.',
    date: '1 December 2020',
    coverImage:
      'https://user-images.githubusercontent.com/1387913/100666854-922e5200-330e-11eb-8d90-c7869dbd32bd.jpg',
    coverImageWidth: 1200,
    coverImageHeight: 602,
    keyWords: ['Playground', 'React View', 'Documentation', 'Overrides', 'Nested'],
  },
  {
    path: '/blog/screen-reader-improvements',
    author: 'Chase Starr',
    authorLink: 'https://github.com/chasestarr',
    title: 'Screen Reader Improvements',
    tagline: 'Base Web has added better support for assistive technologies',
    date: '19 March 2020',
    coverImage:
      'https://user-images.githubusercontent.com/5317799/77114795-666e7480-69ea-11ea-958e-e63dae155f0d.png',
    coverImageWidth: 600,
    coverImageHeight: 450,
    keyWords: ['Base Web', 'Design System', 'React', 'screen reader', 'accessibility'],
  },
  {
    path: '/blog/vs-code-extension',
    author: 'Vojtech Miksu',
    authorLink: 'https://twitter.com/vmiksu',
    title: 'VS Code Extension for Base Web and React View Code Snippets',
    tagline: 'Giving developers superpowers.',
    date: '19 February 2020',
    coverImage: '/images/blog/vs-code-extension/vscodelogo.png',
    coverImageWidth: 500,
    coverImageHeight: 500,
    keyWords: ['VS Code', 'Code Snippets', 'React', 'Documentation', 'View'],
  },
  {
    path: '/blog/base-figma-community',
    author: 'Gergely Nemeth',
    authorLink: 'https://twitter.com/nthgergo',
    title: 'Base Web on Figma Communities',
    tagline: 'Base Web is now available as an open-source gallery on Figma',
    date: '13 February 2020',
    coverImage:
      'https://camo.githubusercontent.com/0193dc7614caaed1c2b553cbd8466dd58cbf0f49/68747470733a2f2f692e696d6775722e636f6d2f5561525a6454712e706e67',
    coverImageWidth: 600,
    coverImageHeight: 450,
    keyWords: ['Base Web', 'Design System', 'React', 'Figma'],
  },
  {
    path: '/blog/visual-regression-testing',
    author: 'Graham Murdoch',
    authorLink: 'https://github.com/sandgraham',
    title: 'Visual Regression Testing',
    tagline: 'A picture is worth a thousand sheep.',
    date: '16 December 2019',
    coverImage: 'https://i.imgur.com/X0jy3lO.png',
    coverImageWidth: 600,
    coverImageHeight: 383,
    keyWords: [
      'Design System',
      'Testing',
      'React',
      'Jest',
      'Regression Testing',
      'Snapshot Testing',
      'Visual Regression Testing',
      'Visual Snapshot Testing',
    ],
  },
  {
    path: '/blog/introducing-react-view',
    author: 'Vojtech Miksu',
    authorLink: 'https://twitter.com/vmiksu',
    title: 'Introducing React View, an Interactive Playground for Your Components',
    tagline: 'Making documentation better.',
    date: '3 December 2019',
    coverImage:
      'https://user-images.githubusercontent.com/1387913/69589789-09196800-0fa2-11ea-9485-aeb506d18fe8.gif',
    coverImageWidth: 1302,
    coverImageHeight: 1135,
    keyWords: ['Playground', 'React', 'Documentation', 'View'],
  },
  {
    path: '/blog/drag-and-drop-list',
    author: 'Vojtech Miksu',
    authorLink: 'https://twitter.com/vmiksu',
    title: 'Building a Drag and Drop List',
    tagline: 'What goes into building a drag and drop component in 2019?',
    date: '30 October 2019',
    coverImage: 'https://res.cloudinary.com/flycatcher/image/upload/v1572289775/listgif_igl9j7.gif',
    coverImageWidth: 600,
    coverImageHeight: 383,
    keyWords: ['Drag and Drop', 'React', 'DnD'],
  },
  {
    path: '/blog/base-web-v9',
    author: 'Graham Murdoch',
    authorLink: 'https://github.com/sandgraham',
    title: 'Color and Typography Updates in v9',
    tagline: 'Everything you need to know about the latest style updates in Base Web',
    date: '9 September 2019',
    coverImage:
      'https://res.cloudinary.com/dawr8pobn/image/upload/v1565816562/baseblack_oodvc1.png',
    coverImageWidth: 1200,
    coverImageHeight: 630,
    keyWords: ['Base Web', 'Design System', 'React', 'Migration Guide', 'Major Version'],
  },
  {
    path: '/blog/responsive-web',
    author: 'Leyan Lo',
    authorLink: 'https://github.com/leyanlo',
    title: 'Building Responsive Apps with Base Web',
    tagline: 'Tips and tricks for building responsive apps for mobile and desktop using Base Web',
    date: '8 August 2019',
    coverImage: '/images/blog/responsive-web/responsive-shipper-tools.svg',
    coverImageWidth: 1200,
    coverImageHeight: 630,
    keyWords: ['Base Web', 'Design System', 'React', 'Tutorial', 'Responsive', 'Mobile'],
  },
  {
    path: '/blog/phone-input',
    author: 'Graham Murdoch',
    authorLink: 'https://github.com/sandgraham',
    title: 'Building an International Phone Input',
    tagline: 'A new component exhibits the flexibility of Base Web',
    date: '26 June 2019',
    coverImage: 'https://i.imgur.com/Q4M6njM.png',
    coverImageWidth: 1200,
    coverImageHeight: 630,
    keyWords: ['Design System', 'React', 'Phone Input', 'Forms'],
  },
  {
    path: '/blog/base-web-v8',
    author: 'Chase Starr',
    authorLink: 'https://twitter.com/captivechains',
    title: 'Type checking improvements in V8',
    tagline: 'Reduce boilerplate and increase confidence with Base Web V8',
    date: '24 June 2019',
    coverImage: 'https://i.imgur.com/jK31J9H.png',
    coverImageWidth: 1584,
    coverImageHeight: 1094,
    keyWords: ['Base Web', 'Design System', 'React', 'Changelog'],
  },
  {
    path: '/blog/base-web-v7',
    author: 'Gergely Nemeth',
    authorLink: 'https://twitter.com/nthgergo',
    title: "What's changed in Base Web 7?",
    tagline: "Let's take a look at all the changes Base Web 7 brings",
    date: '10 May 2019',
    coverImage:
      'https://res.cloudinary.com/dawr8pobn/image/upload/c_scale,w_600/v1558459904/base-web-7_vpigth.png',
    coverImageWidth: 600,
    coverImageHeight: 450,
    keyWords: ['Base Web', 'Design System', 'React', 'Changelog'],
  },
  {
    path: '/blog/getting-started-with-styletron',
    author: 'Jhey Tompkins',
    authorLink: 'https://twitter.com/@jh3yy',
    title: 'Getting Started with Styletron',
    tagline: "Let's build some buttons!",
    date: '9 April 2019',
    coverImage:
      'https://images.unsplash.com/photo-1533915828531-55b274d98dc5?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=500&q=60',
    coverImageWidth: 500,
    coverImageHeight: 375,
    keyWords: ['Styletron', 'CSS', 'CSS in JS', 'Tutorial'],
  },
  {
    path: '/blog/getting-started-with-base-web',
    author: 'Jhey Tompkins',
    authorLink: 'https://twitter.com/@jh3yy',
    title: 'Getting Started with Base Web',
    tagline: "Let's build a password generator!",
    date: '2 April 2019',
    coverImage: 'https://cdn.dribbble.com/users/914217/screenshots/4615198/base_ui.png',
    coverImageWidth: 800,
    coverImageHeight: 600,
    keyWords: ['Design System', 'React', 'Tutorial'],
  },
];
export default posts;
